Skip to content

List invitations

Request

Lists the organization's invitations to existing Onboarded users, newest first.

Security
api_token
Query
pagestring(page)

1-based page number. There is no upper bound; values below 1 are clamped to 1.

per_pagestring(between(1, 100))

a number between 1 and 100

statusstring

Comma-separated list of statuses to return, e.g. pending,expired.

Example:status=pending
user_external_idstring

External id of the Onboarded user the invitation was sent to. This is the user's existing external id; the external_id sent to POST /users for an existing user is not stored.

curl -i -X GET \
  'https://docs.onboarded.com/_mock/openapi/api/v1/invitations?page=string&per_page=string&status=pending&user_external_id=string' \
  -H 'Authorization: Bearer <YOUR_Onboarded API token_HERE>'

Responses

Success

Bodyapplication/json
dataArray of objects(UserInvitation)required
totalnumberrequired
current_pagenumberrequired
per_pagenumberrequired
total_pagesnumber
Response
{ "data": [ { … } ], "total": 0, "current_page": 0, "per_page": 0, "total_pages": 0 }